OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.ProvokingVertex

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTProvokingVertex :: MonadIO m => m Bool
- gl_EXT_provoking_vertex :: Bool
- pattern GL_FIRST_VERTEX_CONVENTION_EXT :: GLenum
- pattern GL_LAST_VERTEX_CONVENTION_EXT :: GLenum
- pattern GL_PROVOKING_VERTEX_EXT :: GLenum
- pattern GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION_EXT :: GLenum
- glProvokingVertexEXT :: MonadIO m => GLenum -> m ()

# Extension Support

glGetEXTProvokingVertex :: MonadIO m => m Bool Source #

Is the EXT_provoking_vertex extension supported?

gl_EXT_provoking_vertex :: Bool Source #

Is the EXT_provoking_vertex extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTProvokingVertex` in those cases instead.

# Enums

pattern GL_FIRST_VERTEX_CONVENTION_EXT :: GLenum Source #

pattern GL_LAST_VERTEX_CONVENTION_EXT :: GLenum Source #

pattern GL_PROVOKING_VERTEX_EXT :: GLenum Source #

pattern GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION_EXT :: GLenum Source #

# Functions

glProvokingVertexEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type VertexProvokingMode.
-> m () |

This command is an alias for `glProvokingVertex`.